<?php
	include 'protege_professor.php';
	 date_default_timezone_set('America/Sao_Paulo');
	
	$idvenda = $_GET['id_venda'];

	$idvenda = substr($idvenda, 8);

	$id_simulacao = $_GET['id_simulacao'];

	$idvenda == '' ? $idvenda = 0 : '';
	$id_simulacao == '' ? $id_simulacao = 0 : '';

	function grava_log1($data_log,$usuario_id,$descricao_log){

		include "conexao.php";
		$query_log = "insert into log (data_log,usuario_id,descricao_log) values('$data_log','$usuario_id','$descricao_log')";
		$executa_log = mysqli_query($db, $query_log);
		return 1;
	}

	function nome_user($id){
		include "conexao.php";
		$query_igpm = "SELECT nome_cli FROM cliente where idcliente = $id";
		$executa_igpm = mysqli_query ($db, $query_igpm);                

        while ($buscar_amigoc = mysqli_fetch_assoc($executa_igpm)) {//--verifica se são amigos

        	$nome_cli  = $buscar_amigoc['nome_cli'];
        }

        return $nome_cli;
    } 

	if($_SESSION['idgrupo_acesso'] == 5 AND $idvenda != 0 AND $id_simulacao != 0){

		include 'conexao.php';
		$query_lote = mysqli_query($db, "UPDATE `venda` SET `id_simulacao`= $id_simulacao WHERE `idvenda` = $idvenda")or die(mysqli_error($db));
		
		$query_lote = mysqli_query($db, "UPDATE `simulacao_venda` SET `status`= 2 WHERE `id` = $id_simulacao")or die(mysqli_error($db));

		grava_log1(date('d-m-Y H:i:s'), $_SESSION['id_usuario'], "O Usuario ".nome_user($_SESSION['id_usuario']).", fez uma nova simulação referente a venda já lançada de Nº ".$idvenda);
				
	}

?>

<script type="text/javascript">
	 window.location.href="ver_contrato_empreendimento.php?venda_idvenda=<?php echo($idvenda) ?>";
</script>